Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000634bareos-core[All Projects] storage daemonpublic2016-03-23 21:362016-04-01 17:44
Reportermvwieringen 
Assigned Tomvwieringen 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSolaris11OSSolarisOS Version11
Product Version15.2.3 
Target VersionFixed in Version 
Summary0000634: Storage daemon should use logical drive numbers and not drive indexes
DescriptionCurrently the mount protocol between the director and the storage daemon
passes a logical drive number (as seen from the end-user) but the search
algorithm uses the drive index in the autochanger to find the right drive.

We should number the drives logically and perform the search using that number.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionwill care
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002227)
pstorz (administrator)
2016-04-01 17:44

Fix committed to bareos master branch with changesetid 6182.

- Related Changesets
bareos: master 7d83a521
Timestamp: 2016-03-24 10:16:19
Author: mvwieringen
Committer: pstorz
Ported: N/A
Details ] Diff ]
stored: Use logical drive numbers and not drive indexes

Currently the mount protocol between the director and the storage daemon
passes a logical drive number (as seen from the end-user) but the search
algorithm uses the drive index in the autochanger to find the right
drive.

We should number the drives logically and perform the search using that
number. This patch removes the use of any drive index which is a
physical number only needed for external programs that address the drive
via its physical drive index. After this change there is only one place
where the drive index is used and that is in edit_device_codes() which
creates the cmdline for the external programs like mtx-changer etc.

Fixes 0000634: Storage daemon should use logical drive numbers and not
drive indexes
mod - src/stored/autochanger.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
mod - src/stored/dev.c Diff ] File ]
mod - src/stored/dev.h Diff ] File ]
mod - src/stored/dir_cmd.c Diff ] File ]
mod - src/stored/status.c Diff ] File ]
mod - src/stored/stored_conf.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-23 21:36 mvwieringen New Issue
2016-03-23 21:36 mvwieringen Status new => assigned
2016-03-23 21:36 mvwieringen Assigned To => mvwieringen
2016-03-24 10:22 maik bareos-master: impact => yes
2016-03-24 10:22 maik bareos-master: action => will care
2016-03-24 10:22 maik bareos-15.2: impact => yes
2016-03-24 10:22 maik bareos-15.2: action => will care
2016-04-01 17:44 pstorz Changeset attached => bareos master 7d83a521
2016-04-01 17:44 pstorz Note Added: 0002227
2016-04-01 17:44 pstorz Status assigned => resolved
2016-04-01 17:44 pstorz Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker